Skip to content
View as Markdown

GET Get Contact Dynamic Item View​

GET
/subscribers/{id}/dynamic-item-view

Retrieve a dynamic item view for a contact from a specific provider. The content is generated by the fluent_crm/dynamic_contact_item_view_{provider} filter hook and typically returns rendered HTML content.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Parameters​

Path Parameters

id*

The contact ID.

Type
integer
Required

Query Parameters

provider*

The dynamic view provider identifier.

Type
string
Required
params

Additional parameters to pass to the provider.

Type
object

Responses​

Dynamic item view data.

application/json
JSON
{
"data_view": {
"type": "string",
"title": "string",
"content_html": "string",
"footer_content": "string"
}
}

Playground​

Authorization
Variables
Key
Value

Samples​

Powered by VitePress OpenAPI